Submit signature instruction

View as MarkdownOpen in Claude
Use this method to submit an instruction to capture a customer's signature on a payment device. Our gateway returns information about the signature instruction and a signatureInstructionId, which you need for the following methods: - [Retrieve signature instruction](https://docs.payroc.com/api/schema/payroc-cloud/signature-instructions/retrieve) - View the details of the signature instruction. - [Cancel signature instruction](https://docs.payroc.com/api/schema/payroc-cloud/signature-instructions/delete) - Cancel the signature instruction.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

serialNumberstringRequired1-64 characters

Serial number that identifies the merchant’s payment device.

Headers

Idempotency-KeystringRequiredformat: "uuid"
Unique identifier that you generate for each request. You must use the [UUID v4 format](https://www.rfc-editor.org/rfc/rfc4122) for the identifier. For more information about the idempotency key, go to [Idempotency](https://docs.payroc.com/api/idempotency).

Request

This endpoint expects an object.
processingTerminalIdstringRequired4-50 characters
Unique identifier that we assigned to the terminal.

Response

Successful request. We accepted the signature instruction.
statusenum
Indicates the current status of the instruction. - `canceled` – The instruction was canceled before it was completed. - `completed` – The instruction has completed. Use the link object to check the resource. - `failure` – The instruction failed. Check the errorMessage field for more information. - `inProgress` – The instruction is currently in progress.
Allowed values:
signatureInstructionIdstring1-36 characters
Unique identifier that our gateway assigned to the instruction.
errorMessagestring

Description of the error that caused the instruction to fail.

Note: We return this field only if the status is failure.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
409
Conflict Error
415
Unsupported Media Type Error
500
Internal Server Error